package com.yidianling.router.phoneCall

import android.app.Activity
import android.content.Context
import android.content.Intent
import android.support.v4.app.DialogFragment
import com.yidianling.router.iRouter.BaseRouter

interface IPhoneCallRouter : BaseRouter{

    fun phoneCallIntent(activity: Activity): Intent

    fun phoneCallFragment(head: String, callId: String): DialogFragment

    fun closePlayer()

    //倾诉首页
    fun openConfideHome(context: Context)
}